--跨服云购
checkRequire("Lua_CrossServerGoldBuyPlane");--跨服云购 -- 元宝购买
checkRequire("Lua_CrossServerGiftBuyPlane");--跨服云购 -- 礼金购买
Lua_CrossServerPurchasingWindow  = class("Lua_CrossServerPurchasingWindow",Lua_Window);
function Lua_CrossServerPurchasingWindow:ctor(p)
	self:superCall("ctor");
	self.windowName = "Lua_CrossServerPurchasingWindow";
	self.skinName = "CrossServerPurchasingWindow_skin";
end

function Lua_CrossServerPurchasingWindow:dispose()	
	self:superCall("dispose");
	Lua_CommonUtil.removeTimer(self,self.updatePurchasingLeftTime);
end

function Lua_CrossServerPurchasingWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.panels = {};
    self.panels[1] = Lua_CrossServerGoldBuyPlane;
    self.panels[2] = Lua_CrossServerGiftBuyPlane;

    self.time.text = "";
    self.help:addClickFuntion(self, self.onHelp);
    DataCenter.redDotData:updateRedDotVoState(22056, false); -- 跨服云购登录红点
    
    if DataCenter.crossServerPurchasingData.isInitMsg then
    	self:updatePurchasingInfo();
    end
    
    self:addLuaEvent("UPDARE_CROSS_RURCHASING_INFO", self, self.updatePurchasingInfo);
    Lua_ProxyManager.getProxy("Lua_CrossServerPurchasingProxy"):sCrossServerPurchasingInfo();
end

function Lua_CrossServerPurchasingWindow:updatePurchasingInfo()
	local showType = DataCenter.crossServerPurchasingData.getOpenActiviteType;
	if self.curType ~= nil and self.curType ~= showType then
		if self.btnList ~= nil then
			self.btnList:dispose();
			self.btnList = nil;
		end
	end
	self.curType = showType;

	if self.btnList == nil then
		local btnNames = Array();
		if self.curType == 1 then
			btnNames:add( { name = LanUtil.getValue(141401)});
		elseif self.curType == 2 then
			btnNames:add( { name = LanUtil.getValue(141402)});
		elseif self.curType == 0 then
			btnNames:add( { name = LanUtil.getValue(141401)});
	    	btnNames:add( { name = LanUtil.getValue(141402)});
		end

	    self.btnList = Lua_ButtonList.new(self.content, btnNames, 175, self, self.onBtnClick,
	    	"ui_kfyg_btn_01", "ui_kfyg_btn_02", Vector4(0, 0, 62, 173), Vector4(0, 0, 62, 173),
	    	Lua_ColorDefine.transColor("FFFFFF"), Lua_ColorDefine.transColor("FFF7D7"), Vector4(28, 28, 45, 120), 1, "crossServerPurchasing_atlas",
	    	nil, nil, "000000", "000000");
	    self.btnList:setLocation(-539, 160, 0);
	    self.btnList:setDepth(4);
	    self.btnList:setSelected(1, true);
	    self.btnList:setRedDotPos(27, 58);
	end
	self.dic.text = LanUtil.formateStr(LanUtil.getValue(141408),tostring(DataCenter.crossServerPurchasingData.free_buy_time));

	if DataCenter.crossServerPurchasingData.isOpenReward == true then
		self.time.text = LanUtil.getValue(141415);
		Lua_CommonUtil.removeTimer(self,self.updatePurchasingLeftTime);
		self.endTime = 0;
	else
		self.endTime = DataCenter.crossServerPurchasingData.left_time;
		Lua_CommonUtil.addTimer("updatePurchasingLeftTime", 1, self, self.updatePurchasingLeftTime);
	end
	if self.isFirstTime == nil then
	   self:updatePurchasingLeftTime();
	   self.isFirstTime = true;
	end
end

function Lua_CrossServerPurchasingWindow:updatePurchasingLeftTime()
	local leftTime = self.endTime - DataCenter.roleData.serverTime;
	if leftTime - 1  > 0 then
		if leftTime - 1 == DataCenter.crossServerPurchasingData.infinite_buy_time then
			DataCenter.crossServerPurchasingData.isInfiniteBuy = true;
			Lua_ProxyManager.getProxy("Lua_CrossServerPurchasingProxy"):sCrossServerPurchasingInfo();
		end
		self.time.text = LanUtil.formateStr(LanUtil.getValue(141400), TimeTransform.getInstance():transSeconds1(leftTime - 1,true));
	else
		Lua_ProxyManager.getProxy("Lua_CrossServerPurchasingProxy"):sCrossServerPurchasingInfo();
		self.time.text = LanUtil.getValue(141415);
		Lua_CommonUtil.removeTimer(self,self.updatePurchasingLeftTime);
	end
end

function Lua_CrossServerPurchasingWindow:onBtnClick(val)
	self.selectIndex = val;

	if DataCenter.crossServerPurchasingData.isOpenGiftActivite == true and DataCenter.crossServerPurchasingData.isOpenGoldActivite == false then
		val = val + 1;
	end

	local showPanel = self.panels[val];
	if self.curPanel == nil or showPanel.classname ~= self.curPanel.classname then
		if self.curPanel ~= nil then
			self.curPanel:dispose();
			self.curPanel = nil;
		end
		self.curPanel = showPanel.new(self.content);
	end
end

function Lua_CrossServerPurchasingWindow:onHelp(go)
	local act_content = DataCenter.crossServerPurchasingData.act_content;
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, act_content);
end
