-- 大奖名单

Lua_CrossServerRewardWindow  = class("Lua_CrossServerRewardWindow",Lua_Window);
function Lua_CrossServerRewardWindow:ctor(p)
	self:superCall("ctor");
	self.windowName = "Lua_CrossServerRewardWindow";
	self.skinName = "CrossServerRewardWindow_skin";
end

function Lua_CrossServerRewardWindow:dispose()	
	self:superCall("dispose");
	if self.rewardDragList ~= nil then
		self.rewardDragList:dispose()
		self.rewardDragList = nil;
	end
end

function Lua_CrossServerRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardDragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 900, 338));
	self.rewardDragList:setLocation(0, -37, 0);
	self.rewardDragList:setListCell(CrossServerRewardItem, 97, 900, 1);

	self:addLuaEvent("UPDARE_CROSS_REWARD_INFO", self, self.updateRewardInfo);
end

function Lua_CrossServerRewardWindow:updateRewardInfo()
	local arr = DataCenter.crossServerPurchasingData:getRewardInfo(self.showData.itemVo,self.showData.reward_number);
	self.rewardDragList:setLuaArrayData(arr, true);
end

function Lua_CrossServerRewardWindow:showWin(param)
	self:superCall("showWin", param);
end 
















-- 大奖记录
CrossServerRewardItem = class("CrossServerRewardItem", Lua_ListCell);
function CrossServerRewardItem:ctor(p)
	self:superCall("ctor", p, "CrossServerRewardItem_skin"); 
end

function CrossServerRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.image = Lua_ToolImage.new(self.content);
    self.image:setDepth(6);
    self.image:setLocation(-313, 4, 0);
end

function CrossServerRewardItem:setData(data)
	self.data = data;

	self.image.data = data.itemVo;
	self.time.text = data.showTime;
	self.name.text = data.name;
end

function CrossServerRewardItem:dispose()
	self:superCall("dispose");
end